

function Main()



	if (Q_屏幕NPC组[2].任务变量 == 0) then  -- 如果[杂货]的任务变量为0
		
		系统:提示("<白>   你好啊!")
		系统:选择("离开@exit")
		
		

		
	elseif (Q_屏幕NPC组[2].任务变量 == 1) then  -- 如果[杂货]的任务变量为1
		
		local 提示内容 = "<白>嗨! <红> "  .. Q_主角.名称 .. "<白>啊,帮我去<红>城东屠夫<白>买点肉可以吗?"
	
		系统:提示(提示内容)
		系统:选择("-_-!好吧...@好的","你找别人吧@exit")
		

	elseif (Q_屏幕NPC组[2].任务变量 == 2) then  -- 如果[杂货]的任务变量为2
		
		系统:提示("<白>   一切就拜托你啦!")
		系统:选择("马上就去@exit")
		
		

	elseif (Q_屏幕NPC组[2].任务变量 == 3) then  -- 如果[杂货]的任务变量为3


		系统:提示("<白>  怎么空手回来啦?")
		系统:选择("屠夫的肉卖完了@告诉结果")
		

	else 
		
		系统:提示("<白>   你好小伙子!")
		系统:选择("离开@exit")
		
	end 	



end



function 了解()

	local 提示内容 =
[[
<白>   我想请你帮我去城西<黄>屠夫<白>那里买点肉.#
<白>愿意帮我吗?
]]




end



function 好的()
	
	Q_屏幕NPC组[2].任务标志 = 0  -- 清除自身任务标志
	Q_屏幕NPC组[2].任务变量 = 2
	Q_屏幕NPC组[7].任务变量 = 101  -- 把[首饰商]的任务变量设为100,自定义一个标志,数值随便取.能区分即可. 
	
	
	系统:提示("<白>   一切就拜托你了!")
	系统:选择("我这就去!@exit")


end




function 告诉结果()

	Q_屏幕NPC组[2].任务标志 = 0  -- 清除自身任务标志
	Q_屏幕NPC组[2].任务变量 = 0
	系统:提示("<白>   我知道了!#<白>麻烦你了,小小意思不成敬意.")
	系统:选择("  前辈客气了.@exit")
	
	-- 奖励
	系统:增加金币(500)


end



--------------------------------------------
Main()